package test.org.itscool.tutorial;

import org.itscool.weber.controller.Globals;
import org.itscool.weber.testcase.WeberTestCase;
import sample.org.itscool.tutorial.*;

/**
 * turorial.HelloActionクラスのテストクラス
 */
public class HelloActionTest extends WeberTestCase{
    
    /**
     * HelloAction.doExecute()をテストします
     */
    public void testDoExcecute(){
        //アクションの生成
        HelloAction action = new HelloAction();
        HelloBean bean = new HelloBean();
        
        bean.setAge(32);
        bean.setName("kano");
        
        try{
            //doExcecuteメソッドのテストを実施
            this.assertDoExecute(action, bean, "success");
            
            //doExecute()の実行結果を確認
            HelloBean hello = (HelloBean)bucket.getAttribute("hello");
            assertEquals(hello.getName(), "KANO");
            assertEquals(hello.getAge(), 32);
            
        }catch(Exception e){
            fail(e.getMessage());
        }
    }
}

